/*
 * Copyright 2010 Trustees of the University of Pennsylvania Licensed under the
 * Educational Community License, Version 2.0 (the "License"); you may
 * not use this file except in compliance with the License. You may
 * obtain a copy of the License at
 *
 * http://www.osedu.org/licenses/ECL-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an "AS IS"
 * BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * permissions and limitations under the License.
 */
package metridoc.workflows

/**
 * Created by IntelliJ IDEA.
 * User: tbarker
 * Date: 1/21/12
 * Time: 11:22 AM
 * To change this template use File | Settings | File Templates.
 *
 * @deprecated
 */
class CommandMessage {

    public static final String DONE_TO_NEXT = "doneToNext"
    public static final String START = "start"
    public static final String DONE_TO_PREVIOUS = "doneToPrevious"
    public static final String STOP = "stop"
    public static final String NULL = "null"

    public static final CommandMessage DONE_TO_NEXT_MESSAGE = new CommandMessage(body: DONE_TO_NEXT)
    public static final CommandMessage START_MESSAGE = new CommandMessage(body: START)
    public static final CommandMessage DONE_TO_PREVIOUS_MESSAGE = new CommandMessage(body: DONE_TO_PREVIOUS)
    public static final CommandMessage STOP_MESSAGE = new CommandMessage(body: STOP)
    public static final CommandMessage NULL_MESSAGE = new CommandMessage(body: NULL)

    private CommandMessage() {
        //should never be implemented
    }
}
