/*
 * Copyright 2010 Trustees of the University of Pennsylvania Licensed under the
 * Educational Community License, Version 2.0 (the "License"); you may
 * not use this file except in compliance with the License. You may
 * obtain a copy of the License at
 *
 * http://www.osedu.org/licenses/ECL-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an "AS IS"
 * BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * permissions and limitations under the License.
 */
package metridoc.workflows.operations.impl.mock

import javax.naming.OperationNotSupportedException
import metridoc.workflows.Message
import metridoc.workflows.operations.DefaultFileHandler

/**
 * Created by IntelliJ IDEA.
 * User: tbarker
 * Date: 2/17/12
 * Time: 2:40 PM
 *
 * @deprecated
 */
class MockFileHandler extends DefaultFileHandler {
    String text
    String name

    Message<InputStream> getStream() {
        def stream = new ByteArrayInputStream(text.bytes)
        Message.create(body: stream, headers: [fileName: name])
    }

    File getFile() {
        throw new OperationNotSupportedException("this operation is not supported")
    }
}
